# QInputContextPlugin Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QInputContextPlugin(QObject parent)

### Constructor Properties

- prototype: The QInputContextPlugin prototype object

### Prototype Object Properties

The QInputContextPlugin prototype object inherits properties from the QObject prototype object and also has the following properties.

- QInputContext create(String key)
- String description(String key)
- String displayName(String key)
- List keys()
- List languages(String key)

### Instance Properties

QInputContextPlugin objects have no special properties beyond those inherited from the QInputContextPlugin prototype object.